#ifndef ANSWEREXPLANATIONWIDGET_H
#define ANSWEREXPLANATIONWIDGET_H

#include "ui_answerexplanationwidget.h"
#include <QtWidgets>
#include <QtGui>

class AnswerExplanationWidget : public QWidget, private Ui::AnswerExplanationWidget
{
  Q_OBJECT
  public:
    explicit AnswerExplanationWidget( QWidget *parent = 0 );
    void setResultText( bool result );
    void setExplanationTexts( QList< QString > explanations );
};

#endif // ANSWEREXPLANATIONWIDGET_H
